XnQueue.h File Reference
`#include "XnList.h"`

Go to the source code of this file.

## Classes

class | XnQueue

## Macros

#define | XN_DECLARE_QUEUE_WITH_TRANSLATOR_DECL(decl, Type, ClassName, Translator, base)
#define | XN_DECLARE_QUEUE_WITH_TRANSLATOR(Type, ClassName, Translator, base)
#define | XN_DECLARE_QUEUE_DECL(decl, Type, ClassName)
#define | XN_DECLARE_QUEUE(Type, ClassName)

## Macro Definition Documentation

## XN_DECLARE_QUEUE

#define XN_DECLARE_QUEUE | ( |  | Type,
|  |  | ClassName )

Value:
XN_DECLARE_QUEUE_DECL(, Type, ClassName)
XN_DECLARE_QUEUE_DECL
#define XN_DECLARE_QUEUE_DECL(decl, Type, ClassName)
Definition XnQueue.h:188

Declares a queue of type Type, named ClassName, that uses the default translator.

## XN_DECLARE_QUEUE_DECL

#define XN_DECLARE_QUEUE_DECL | ( |  | decl,
|  |  | Type,
|  |  | ClassName )

Value:
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, XN_DEFAULT_TRANSLATOR_NAME(ClassName)) \
XN_DECLARE_QUEUE_WITH_TRANSLATOR_DECL(decl, Type, ClassName, XN_DEFAULT_TRANSLATOR_NAME(ClassName), XnQueue)
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL
#define XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, ClassName)
Definition XnDataTypes.h:42
XN_DEFAULT_TRANSLATOR_NAME
#define XN_DEFAULT_TRANSLATOR_NAME(ClassName)
Definition XnDataTypes.h:118
XnQueue
Definition XnQueue.h:37

Declares a queue of type Type, named ClassName, that uses the default translator. It is declared using the declspec decl.

## XN_DECLARE_QUEUE_WITH_TRANSLATOR

#define XN_DECLARE_QUEUE_WITH_TRANSLATOR | ( |  | Type,
|  |  | ClassName,
|  |  | Translator,
|  |  | base )

Value:
XN_DECLARE_QUEUE_WITH_TRANSLATOR_DECL(, Type, ClassName, Translator, base)
XN_DECLARE_QUEUE_WITH_TRANSLATOR_DECL
#define XN_DECLARE_QUEUE_WITH_TRANSLATOR_DECL(decl, Type, ClassName, Translator, base)
Definition XnQueue.h:138

Declares a queue of type Type, named ClassName. The class uses Translator for translating from Type to XnValue. It inherits from base. Note that base must be a derivative of XnQueue.

## XN_DECLARE_QUEUE_WITH_TRANSLATOR_DECL

#define XN_DECLARE_QUEUE_WITH_TRANSLATOR_DECL | ( |  | decl,
|  |  | Type,
|  |  | ClassName,
|  |  | Translator,
|  |  | base )

Declares a queue of type Type, named ClassName. The class uses Translator for translating from Type to XnValue. It is declared using the declspec decl. It inherits from base. Note that base must be a derivative of XnQueue.